<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: vector.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vector.h File Reference</h1>
<p><a href="vector_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ab6ebdf5bd76b2cad49156f88b9c3f6b6">ConstraintSimplify</a> (Value *old, Value *<a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>, int len, Value *v)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ae8b0745702c689f66f3d12bc17f93f58">value_alloc</a> (int want, int *got)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a3e050c3a0fbb40af2a15f874835e34a4">value_free</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, int <a class="el" href="vector_8c.html#a439227feff9d7f55384e8780cfc2eb82">size</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a1b1a8da196e3e94a8e89a9792f84300f">Factorial</a> (int <a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ae89968fb20e83ba8dc3e4ccb19d4eb3d">Binomial</a> (int <a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>, int <a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ae13fd0bd2390d14102707a21128d0358">CNP</a> (int a, int b, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a465a286010ac5724a37644eff2922d76">Gcd</a> (Value a, Value b, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ab719ec10095622cd0ad8024da53cdd4c">First_Non_Zero</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structVector.html">Vector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a358c545236f58b1001479e4a69d318aa">Vector_Alloc</a> (unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a055608d1a3726b7cb26e3e8074764ba0">Vector_Free</a> (<a class="el" href="structVector.html">Vector</a> *vector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a18db93a926f15ef788bb0836f266f9b1">Vector_Print</a> (FILE *Dst, const char *Format, <a class="el" href="structVector.html">Vector</a> *Vec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structVector.html">Vector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#aa900a42f888c332893b86981141e8156">Vector_Read</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a27ccb3ea01f3a496bb799fb99e9e3075">Vector_Set</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, int <a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a88f4d69371f16d6d28e8a87c496b0730">Vector_Exchange</a> (Value *p1, Value *p2, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ab6eca9ad03a2f4a60dd79182289e0e0b">Vector_Copy</a> (Value *p1, Value *p2, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a97b02f83ad0a070d3da9be9d0e908af6">Vector_Add</a> (Value *p1, Value *p2, Value *p3, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a9d092d406f74e17de0907853cfc90ab7">Vector_Sub</a> (Value *p1, Value *p2, Value *p3, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#aff5b0922db0c224d19a65a933a24ae5a">Vector_Or</a> (Value *p1, Value *p2, Value *p3, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a14c75456dab7e1b9296fb4ec7b6ad3a5">Vector_Scale</a> (Value *p1, Value *p2, Value lambda, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a95d6452a07b82054af71a14c686e66a8">Vector_AntiScale</a> (Value *p1, Value *p2, Value lambda, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a01023ba653c09bf99fe29e5f9d958bc6">Vector_Oppose</a> (Value *p1, Value *p2, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a13dd31cb3fc22b470303393a0f25d0e6">Inner_Product</a> (Value *p1, Value *p2, unsigned length, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a7f5f9d1cf653109f64ca0a1877f8bed0">Vector_Max</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a85c7eea5092f5fc690bbfcb2496d3029">Vector_Min</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a4700bd41bb9179b23deb7ab9d80a463d">Vector_Combine</a> (Value *p1, Value *p2, Value *p3, Value lambda, Value mu, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a29ed40e88da2f079a8fcd2b7b4c4dbeb">Vector_Equal</a> (Value *Vec1, Value *Vec2, unsigned <a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a535dbe4e54df0076e413dd6ae4aa854e">Vector_Min_Not_Zero</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length, int *index, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a6ec5266cc0b06792d8a7a35060df7808">Vector_Gcd</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length, Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#ad423599c93d4db5d4d89ea716f590d47">Vector_Map</a> (Value *p1, Value *p2, Value *p3, unsigned length, Value *(*f)(Value, Value))</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a9e3e9df020a7c7b0ad95baffed7ed5c9">Vector_Normalize</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a4095f8badebbf9903f88da363af136f8">Vector_Normalize_Positive</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, int length, int pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a01937199819907cca22e86438f08624d">Vector_Reduce</a> (Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, unsigned length, void(*f)(Value, Value *), Value *result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#aaa8d4e874a24f79d91d1557fe4238655">Vector_Sort</a> (Value *vector, unsigned <a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_8h.html#a4f5f43ecdfb5c63f8c3ecbf875887869">Vector_IsZero</a> (Value *v, unsigned length)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ae89968fb20e83ba8dc3e4ccb19d4eb3d"></a><!-- doxytag: member="vector.h::Binomial" ref="ae89968fb20e83ba8dc3e4ccb19d4eb3d" args="(int n, int p, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Binomial </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00061">61</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="vector_8c_source.html#l00043">Factorial()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00523">value_division</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

</div>
</div>
<a class="anchor" id="ae13fd0bd2390d14102707a21128d0358"></a><!-- doxytag: member="vector.h::CNP" ref="ae13fd0bd2390d14102707a21128d0358" args="(int a, int b, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CNP </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00089">89</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00523">value_division</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

</div>
</div>
<a class="anchor" id="ab6ebdf5bd76b2cad49156f88b9c3f6b6"></a><!-- doxytag: member="vector.h::ConstraintSimplify" ref="ab6ebdf5bd76b2cad49156f88b9c3f6b6" args="(Value *old, Value *n, int len, Value *v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ConstraintSimplify </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>old</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>v</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00730">730</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00555">value_one_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00526">value_pdivision</a>, <a class="el" href="vector_8c_source.html#l00362">Vector_AntiScale()</a>, and <a class="el" href="vector_8c_source.html#l00498">Vector_Gcd()</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, and <a class="el" href="polyhedron_8c_source.html#l04645">p_simplify_constraints()</a>.</p>

</div>
</div>
<a class="anchor" id="a1b1a8da196e3e94a8e89a9792f84300f"></a><!-- doxytag: member="vector.h::Factorial" ref="a1b1a8da196e3e94a8e89a9792f84300f" args="(int n, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Factorial </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00043">43</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

<p>Referenced by <a class="el" href="vector_8c_source.html#l00061">Binomial()</a>.</p>

</div>
</div>
<a class="anchor" id="ab719ec10095622cd0ad8024da53cdd4c"></a><!-- doxytag: member="vector.h::First_Non_Zero" ref="ab719ec10095622cd0ad8024da53cdd4c" args="(Value *p, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int First_Non_Zero </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00137">137</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="compress__parms_8c_source.html#l00649">Constraints_Remove_parm_eqs()</a>, <a class="el" href="polyhedron_8c_source.html#l01835">ImplicitEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, and <a class="el" href="vector_8c_source.html#l00469">Vector_Min_Not_Zero()</a>.</p>

</div>
</div>
<a class="anchor" id="a465a286010ac5724a37644eff2922d76"></a><!-- doxytag: member="vector.h::Gcd" ref="a465a286010ac5724a37644eff2922d76" args="(Value a, Value b, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Gcd </td>
          <td>(</td>
          <td class="paramtype">Value&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value&nbsp;</td>
          <td class="paramname"> <em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00116">116</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00529">value_absolute</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00525">value_modulus</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>.</p>

<p>Referenced by <a class="el" href="Matop_8c_source.html#l00022">Lcm3()</a>.</p>

</div>
</div>
<a class="anchor" id="a13dd31cb3fc22b470303393a0f25d0e6"></a><!-- doxytag: member="vector.h::Inner_Product" ref="a13dd31cb3fc22b470303393a0f25d0e6" args="(Value *p1, Value *p2, unsigned length, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Inner_Product </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00384">384</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00516">value_addmul</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l03805">lower_upper_bounds()</a>, and <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>.</p>

</div>
</div>
<a class="anchor" id="ae8b0745702c689f66f3d12bc17f93f58"></a><!-- doxytag: member="vector.h::value_alloc" ref="ae8b0745702c689f66f3d12bc17f93f58" args="(int want, int *got)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value* value_alloc </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>want</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>got</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00765">765</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="vector_8c.html#a61294ddc01d563fe40471aefd933ec50">cache</a>, <a class="el" href="vector_8c_source.html#l00761">size</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, and <a class="el" href="vector_8c_source.html#l00240">Vector_Set()</a>.</p>

<p>Referenced by <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, and <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>.</p>

</div>
</div>
<a class="anchor" id="a3e050c3a0fbb40af2a15f874835e34a4"></a><!-- doxytag: member="vector.h::value_free" ref="a3e050c3a0fbb40af2a15f874835e34a4" args="(Value *p, int size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void value_free </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00807">807</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="vector_8c.html#a61294ddc01d563fe40471aefd933ec50">cache</a>, <a class="el" href="vector_8c_source.html#l00758">MAX_CACHE_SIZE</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>.</p>

<p>Referenced by <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, and <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>.</p>

</div>
</div>
<a class="anchor" id="a97b02f83ad0a070d3da9be9d0e908af6"></a><!-- doxytag: member="vector.h::Vector_Add" ref="a97b02f83ad0a070d3da9be9d0e908af6" args="(Value *p1, Value *p2, Value *p3, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Add </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00286">286</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00514">value_addto</a>.</p>

</div>
</div>
<a class="anchor" id="a358c545236f58b1001479e4a69d318aa"></a><!-- doxytag: member="vector.h::Vector_Alloc" ref="a358c545236f58b1001479e4a69d318aa" args="(unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structVector.html">Vector</a>* Vector_Alloc </td>
          <td>(</td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00154">154</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="errormsg_8c_source.html#l00046">errormsg1()</a>, <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="types_8h_source.html#l00087">Vector::Size</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04685">DomainConstraintSimplify()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00555">Orthogonal_Base()</a>, <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="SolveDio_8c_source.html#l00081">SolveDiophantine()</a>, and <a class="el" href="vector_8c_source.html#l00215">Vector_Read()</a>.</p>

</div>
</div>
<a class="anchor" id="a95d6452a07b82054af71a14c686e66a8"></a><!-- doxytag: member="vector.h::Vector_AntiScale" ref="a95d6452a07b82054af71a14c686e66a8" args="(Value *p1, Value *p2, Value lambda, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_AntiScale </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value&nbsp;</td>
          <td class="paramname"> <em>lambda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00362">362</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>.</p>

<p>Referenced by <a class="el" href="vector_8c_source.html#l00730">ConstraintSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l00734">Gauss4()</a>, <a class="el" href="matrix__addon_8c_source.html#l00172">mpolyhedron_simplify()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00555">Orthogonal_Base()</a>, <a class="el" href="polyhedron_8c_source.html#l03920">Rays_Mult()</a>, <a class="el" href="polyhedron_8c_source.html#l03959">Rays_Mult_Transpose()</a>, <a class="el" href="vector_8c_source.html#l00568">Vector_Normalize()</a>, and <a class="el" href="vector_8c_source.html#l00587">Vector_Normalize_Positive()</a>.</p>

</div>
</div>
<a class="anchor" id="a4700bd41bb9179b23deb7ab9d80a463d"></a><!-- doxytag: member="vector.h::Vector_Combine" ref="a4700bd41bb9179b23deb7ab9d80a463d" args="(Value *p1, Value *p2, Value *p3, Value lambda, Value mu, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Combine </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value&nbsp;</td>
          <td class="paramname"> <em>lambda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value&nbsp;</td>
          <td class="paramname"> <em>mu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00434">434</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00516">value_addmul</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l00218">Combine()</a>, <a class="el" href="alpha_8c_source.html#l00384">GaussSimplify()</a>, and <a class="el" href="ehrhart_8c_source.html#l01063">old_Polyhedron_Preprocess()</a>.</p>

</div>
</div>
<a class="anchor" id="ab6eca9ad03a2f4a60dd79182289e0e0b"></a><!-- doxytag: member="vector.h::Vector_Copy" ref="ab6eca9ad03a2f4a60dd79182289e0e0b" args="(Value *p1, Value *p2, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Copy </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00269">269</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyhedron_8c_source.html#l00386">Chernikova()</a>, <a class="el" href="polyparam_8c_source.html#l01033">ComputeNPLinesRays()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="compress__parms_8c_source.html#l00649">Constraints_Remove_parm_eqs()</a>, <a class="el" href="compress__parms_8c_source.html#l00335">Constraints_removeElimCols()</a>, <a class="el" href="homogenization_8c_source.html#l00155">dehomogenize_polyhedron()</a>, <a class="el" href="polyhedron_8c_source.html#l03260">DomainSimplify()</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="ranking_8c_source.html#l00051">LexSmaller()</a>, <a class="el" href="matrix__addon_8c_source.html#l00394">Matrix_copySubMatrix()</a>, <a class="el" href="matrix__addon_8c_source.html#l00357">Matrix_subMatrix()</a>, <a class="el" href="polyhedron_8c_source.html#l04645">p_simplify_constraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02056">Polyhedron2Constraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02639">Polyhedron2Rays()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="ehrhart_8c_source.html#l00744">Polyhedron_Preprocess()</a>, <a class="el" href="polyparam_8c_source.html#l01014">Recession_Cone()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="Matop_8c_source.html#l00340">RemoveColumn()</a>, <a class="el" href="Matop_8c_source.html#l00322">RemoveNColumns()</a>, <a class="el" href="Matop_8c_source.html#l00303">RemoveRow()</a>, <a class="el" href="matrix_8c_source.html#l00435">right_hermite()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l03207">SimplifyEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l03372">Stras_DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<a class="anchor" id="a29ed40e88da2f079a8fcd2b7b4c4dbeb"></a><!-- doxytag: member="vector.h::Vector_Equal" ref="a29ed40e88da2f079a8fcd2b7b4c4dbeb" args="(Value *Vec1, Value *Vec2, unsigned n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Vector_Equal </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>Vec1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>Vec2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>n</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00453">453</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00478">value_ne</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>.</p>

</div>
</div>
<a class="anchor" id="a88f4d69371f16d6d28e8a87c496b0730"></a><!-- doxytag: member="vector.h::Vector_Exchange" ref="a88f4d69371f16d6d28e8a87c496b0730" args="(Value *p1, Value *p2, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Exchange </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00256">256</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00465">value_swap</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l00386">Chernikova()</a>, <a class="el" href="polyhedron_8c_source.html#l00734">Gauss4()</a>, <a class="el" href="alpha_8c_source.html#l00384">GaussSimplify()</a>, <a class="el" href="matrix_8c_source.html#l00228">hermite()</a>, <a class="el" href="polyhedron_8c_source.html#l00305">RaySort()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, and <a class="el" href="polyhedron_8c_source.html#l01786">SortConstraints()</a>.</p>

</div>
</div>
<a class="anchor" id="a055608d1a3726b7cb26e3e8074764ba0"></a><!-- doxytag: member="vector.h::Vector_Free" ref="a055608d1a3726b7cb26e3e8074764ba0" args="(Vector *vector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *&nbsp;</td>
          <td class="paramname"> <em>vector</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00179">179</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="types_8h_source.html#l00087">Vector::Size</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04685">DomainConstraintSimplify()</a>, <a class="el" href="Matop_8c_source.html#l00361">findHermiteBasis()</a>, <a class="el" href="Lattice_8c_source.html#l00475">LatticeIntersection()</a>, <a class="el" href="Lattice_8c_source.html#l01165">LatticePreimage()</a>, <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, and <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>.</p>

</div>
</div>
<a class="anchor" id="a6ec5266cc0b06792d8a7a35060df7808"></a><!-- doxytag: member="vector.h::Vector_Gcd" ref="a6ec5266cc0b06792d8a7a35060df7808" args="(Value *p, unsigned length, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Gcd </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00498">498</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00529">value_absolute</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00525">value_modulus</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, and <a class="el" href="vector_8c_source.html#l00469">Vector_Min_Not_Zero()</a>.</p>

<p>Referenced by <a class="el" href="vector_8c_source.html#l00730">ConstraintSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l00734">Gauss4()</a>, <a class="el" href="alpha_8c_source.html#l00384">GaussSimplify()</a>, <a class="el" href="matrix_8c_source.html#l00591">MatInverse()</a>, <a class="el" href="matrix_8c_source.html#l00889">Matrix_Inverse()</a>, <a class="el" href="matrix__addon_8c_source.html#l00172">mpolyhedron_simplify()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00555">Orthogonal_Base()</a>, <a class="el" href="polyhedron_8c_source.html#l03920">Rays_Mult()</a>, <a class="el" href="polyhedron_8c_source.html#l03959">Rays_Mult_Transpose()</a>, <a class="el" href="vector_8c_source.html#l00568">Vector_Normalize()</a>, and <a class="el" href="vector_8c_source.html#l00587">Vector_Normalize_Positive()</a>.</p>

</div>
</div>
<a class="anchor" id="a4f5f43ecdfb5c63f8c3ecbf875887869"></a><!-- doxytag: member="vector.h::Vector_IsZero" ref="a4f5f43ecdfb5c63f8c3ecbf875887869" args="(Value *v, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Vector_IsZero </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00747">747</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="matrix__permutations_8c_source.html#l00134">eliminable_vars()</a>, and <a class="el" href="compress__parms_8c_source.html#l00056">int_ker()</a>.</p>

</div>
</div>
<a class="anchor" id="ad423599c93d4db5d4d89ea716f590d47"></a><!-- doxytag: member="vector.h::Vector_Map" ref="ad423599c93d4db5d4d89ea716f590d47" args="(Value *p1, Value *p2, Value *p3, unsigned length, Value *(*f)(Value, Value))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Map </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *(*)(Value, Value)&nbsp;</td>
          <td class="paramname"> <em>f</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00547">547</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>.</p>

</div>
</div>
<a class="anchor" id="a7f5f9d1cf653109f64ca0a1877f8bed0"></a><!-- doxytag: member="vector.h::Vector_Max" ref="a7f5f9d1cf653109f64ca0a1877f8bed0" args="(Value *p, unsigned length, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Max </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00399">399</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00531">value_maximum</a>.</p>

</div>
</div>
<a class="anchor" id="a85c7eea5092f5fc690bbfcb2496d3029"></a><!-- doxytag: member="vector.h::Vector_Min" ref="a85c7eea5092f5fc690bbfcb2496d3029" args="(Value *p, unsigned length, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Min </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00416">416</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00530">value_minimum</a>.</p>

</div>
</div>
<a class="anchor" id="a535dbe4e54df0076e413dd6ae4aa854e"></a><!-- doxytag: member="vector.h::Vector_Min_Not_Zero" ref="a535dbe4e54df0076e413dd6ae4aa854e" args="(Value *p, unsigned length, int *index, Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Min_Not_Zero </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00469">469</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="vector_8c_source.html#l00137">First_Non_Zero()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00529">value_absolute</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00481">value_lt</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="vector_8c_source.html#l00498">Vector_Gcd()</a>.</p>

</div>
</div>
<a class="anchor" id="a9e3e9df020a7c7b0ad95baffed7ed5c9"></a><!-- doxytag: member="vector.h::Vector_Normalize" ref="a9e3e9df020a7c7b0ad95baffed7ed5c9" args="(Value *p, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Normalize </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00568">568</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="vector_8c_source.html#l00362">Vector_AntiScale()</a>, and <a class="el" href="vector_8c_source.html#l00498">Vector_Gcd()</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l00218">Combine()</a>, <a class="el" href="alpha_8c_source.html#l00384">GaussSimplify()</a>, <a class="el" href="ehrhart_8c_source.html#l01063">old_Polyhedron_Preprocess()</a>, and <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>.</p>

</div>
</div>
<a class="anchor" id="a4095f8badebbf9903f88da363af136f8"></a><!-- doxytag: member="vector.h::Vector_Normalize_Positive" ref="a4095f8badebbf9903f88da363af136f8" args="(Value *p, int length, int pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Normalize_Positive </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00587">587</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00550">value_neg_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00528">value_oppose</a>, <a class="el" href="vector_8c_source.html#l00362">Vector_AntiScale()</a>, and <a class="el" href="vector_8c_source.html#l00498">Vector_Gcd()</a>.</p>

<p>Referenced by <a class="el" href="matrix_8c_source.html#l00591">MatInverse()</a>, and <a class="el" href="matrix_8c_source.html#l00719">rat_prodmat()</a>.</p>

</div>
</div>
<a class="anchor" id="a01023ba653c09bf99fe29e5f9d958bc6"></a><!-- doxytag: member="vector.h::Vector_Oppose" ref="a01023ba653c09bf99fe29e5f9d958bc6" args="(Value *p1, Value *p2, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Oppose </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00373">373</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00528">value_oppose</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l00734">Gauss4()</a>.</p>

</div>
</div>
<a class="anchor" id="aff5b0922db0c224d19a65a933a24ae5a"></a><!-- doxytag: member="vector.h::Vector_Or" ref="aff5b0922db0c224d19a65a933a24ae5a" args="(Value *p1, Value *p2, Value *p3, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Or </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00324">324</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00534">value_orto</a>.</p>

</div>
</div>
<a class="anchor" id="a18db93a926f15ef788bb0836f266f9b1"></a><!-- doxytag: member="vector.h::Vector_Print" ref="a18db93a926f15ef788bb0836f266f9b1" args="(FILE *Dst, const char *Format, Vector *Vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Print </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>Dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>Format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *&nbsp;</td>
          <td class="paramname"> <em>Vec</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00193">193</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, <a class="el" href="types_8h_source.html#l00087">Vector::Size</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00464">value_print</a>.</p>

<p>Referenced by <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>.</p>

</div>
</div>
<a class="anchor" id="aa900a42f888c332893b86981141e8156"></a><!-- doxytag: member="vector.h::Vector_Read" ref="aa900a42f888c332893b86981141e8156" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structVector.html">Vector</a>* Vector_Read </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00215">215</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="errormsg_8c_source.html#l00046">errormsg1()</a>, <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00463">value_read</a>, and <a class="el" href="vector_8c_source.html#l00154">Vector_Alloc()</a>.</p>

</div>
</div>
<a class="anchor" id="a01937199819907cca22e86438f08624d"></a><!-- doxytag: member="vector.h::Vector_Reduce" ref="a01937199819907cca22e86438f08624d" args="(Value *p, unsigned length, void(*f)(Value, Value *), Value *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Reduce </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(Value, Value *)&nbsp;</td>
          <td class="paramname"> <em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00604">604</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>.</p>

</div>
</div>
<a class="anchor" id="a14c75456dab7e1b9296fb4ec7b6ad3a5"></a><!-- doxytag: member="vector.h::Vector_Scale" ref="a14c75456dab7e1b9296fb4ec7b6ad3a5" args="(Value *p1, Value *p2, Value lambda, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Scale </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value&nbsp;</td>
          <td class="paramname"> <em>lambda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00343">343</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>, and <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>.</p>

</div>
</div>
<a class="anchor" id="a27ccb3ea01f3a496bb799fb99e9e3075"></a><!-- doxytag: member="vector.h::Vector_Set" ref="a27ccb3ea01f3a496bb799fb99e9e3075" args="(Value *p, int n, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Set </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00240">240</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="polyhedron_8c_source.html#l01715">Empty_Polyhedron()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="compress__parms_8c_source.html#l00271">Equalities_validityLattice()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="polyhedron_8c_source.html#l01835">ImplicitEqualities()</a>, <a class="el" href="matrix_8c_source.html#l00505">left_hermite()</a>, <a class="el" href="matrix_8c_source.html#l00591">MatInverse()</a>, <a class="el" href="matrix_8c_source.html#l00103">Matrix_Extend()</a>, <a class="el" href="matrix_8c_source.html#l00889">Matrix_Inverse()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="alpha_8c_source.html#l00104">Polyhedron_Not_Empty()</a>, <a class="el" href="polyhedron_8c_source.html#l03743">Polyhedron_Scan()</a>, <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>, <a class="el" href="polyhedron_8c_source.html#l02083">Rays2Polyhedron()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="matrix_8c_source.html#l00435">right_hermite()</a>, <a class="el" href="polyhedron_8c_source.html#l01748">Universe_Polyhedron()</a>, and <a class="el" href="vector_8c_source.html#l00765">value_alloc()</a>.</p>

</div>
</div>
<a class="anchor" id="aaa8d4e874a24f79d91d1557fe4238655"></a><!-- doxytag: member="vector.h::Vector_Sort" ref="aaa8d4e874a24f79d91d1557fe4238655" args="(Value *vector, unsigned n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Sort </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>n</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00620">620</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00481">value_lt</a>.</p>

</div>
</div>
<a class="anchor" id="a9d092d406f74e17de0907853cfc90ab7"></a><!-- doxytag: member="vector.h::Vector_Sub" ref="a9d092d406f74e17de0907853cfc90ab7" args="(Value *p1, Value *p2, Value *p3, unsigned length)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vector_Sub </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vector_8c_source.html#l00305">305</a> of file <a class="el" href="vector_8c_source.html">vector.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00520">value_subtract</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
